Bug 56686 - RPM Enhancement: Dependency: Suggestion and Recommented
Summary: RPM Enhancement: Dependency: Suggestion and Recommented
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 4.2
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-24 18:15 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-24 18:16:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-24 18:15:56 UTC
The present RPM is rather well suited for installing, but those two items
from Debian's DEB would be useful:

a) Recommondation
   A recommendation says a package will almost always need to have another 
   package installed.

b) Suggestions
   A suggestion says a package may sometimes work better if another package 
   is installed. The user can just be informed of this as a FYI.

This data is not for the rpm program itself ment, but rather for the use
with a installation program (or for inspection of an RPM). This data can
also be provided in a text form (Description) but listing packages with
version in a "Required" format is more useful.

Besides this config advantage it also make DEB<->RPM converting easier.

Comment 1 Jeff Johnson 2001-11-26 12:56:13 UTC
Without well defined semantics for how these tags are to be used,
I will not add. I point out that "almost always" and "sometimes works better"
are not exactly well defined. There are many other ways to supply
installation hints of this sort without adding to packaging. Simply
informing the user is not sufficiently well defined, as rpm is
designed to minimize user interaction, and presumes that the
user knows what to do with any information presented.

Without a clear definition of how the tags are to be used by rpm,
making deb -> rpm conversion easier is premature as well.


Note You need to log in before you can comment on or make changes to this bug.